Skip to main content
POST
/
v1
/
playbooks
/
list
ListPlaybooks
curl --request POST \
  --url https://app.textql.com/v1/playbooks/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "memberOnly": true,
  "limit": 50,
  "offset": 1,
  "searchTerm": "<string>",
  "statusFilter": "STATUS_UNKNOWN",
  "creatorMemberId": "<string>",
  "sortBy": "SORT_FIELD_UNKNOWN",
  "sortDirection": "SORT_DIRECTION_UNKNOWN",
  "subscribedFirst": true
}
'
{
  "playbooks": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "memberId": "<string>",
      "connectorId": 123,
      "name": "<string>",
      "prompt": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "status": "STATUS_UNKNOWN",
      "triggerType": "TRIGGER_TYPE_UNKNOWN",
      "cronString": "<string>",
      "datasetIds": [
        "<string>"
      ],
      "referenceReportId": "<string>",
      "latestChatId": "<string>",
      "emailAddresses": [
        "<string>"
      ],
      "slackChannelId": "<string>",
      "taggedSlackUserIds": [
        "<string>"
      ],
      "llmModel": "MODEL_UNKNOWN",
      "paradigmOptions": {
        "basic": {}
      },
      "paradigmType": "TYPE_UNKNOWN",
      "isRunning": true,
      "owner": {
        "memberId": "<string>",
        "memberEmail": "<string>",
        "memberName": "<string>",
        "memberPictureUrl": "<string>"
      },
      "hasWritePermission": true,
      "isSubscribed": true,
      "reportOutputStyle": "REPORT_STYLE_UNKNOWN",
      "templateHeaderId": "<string>",
      "selectedTemplateDataIds": [
        "<string>"
      ],
      "maxConcurrentTemplates": 123,
      "autoOptimizeConcurrency": true,
      "connectorIds": [
        123
      ]
    }
  ],
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
memberOnly
boolean
limit
integer<int32>
Required range: 0 <= x <= 100
offset
integer<int32>
Required range: x >= 0
searchTerm
string | null
statusFilter
enum<string> | null
Available options:
STATUS_UNKNOWN,
STATUS_ACTIVE,
STATUS_INACTIVE,
STATUS_EMPTY
creatorMemberId
string | null
sortBy
enum<string>
Available options:
SORT_FIELD_UNKNOWN,
SORT_FIELD_NAME,
SORT_FIELD_CREATED_AT,
SORT_FIELD_UPDATED_AT
sortDirection
enum<string>
Available options:
SORT_DIRECTION_UNKNOWN,
SORT_DIRECTION_ASC,
SORT_DIRECTION_DESC
subscribedFirst
boolean | null

Response

Success

playbooks
Playbook · object[]
totalCount
integer<int32>